//+------------------------------------------------------------------+
//|                                         Intraday IntensityMA.mq4 |
//|                                                 Kamil Gazizullin |
//|                                             forexman77@yandex.ru |
//+------------------------------------------------------------------+
#property copyright "Kamil Gazizullin"
#property link      "forexman77@yandex.ru"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Magenta
//--- input parameters
extern int          p1=10;
extern int          p2=10;
//--- buffers
double AD[];
double ADMA1[];
double ADMA2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(3);
   SetIndexBuffer(2,AD);
   SetIndexBuffer(1,ADMA1);
   SetIndexBuffer(0,ADMA2);
   IndicatorDigits(Digits+1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    int counted_bars=IndicatorCounted(),limit, i;
    double Indicator;
   if(counted_bars>0)
      counted_bars--;  
   limit=Bars-counted_bars;
   for(i=0;i<limit;i++)
   {
      if (((High[i]-Low[i])*Volume[i])!=0)Indicator=((2*Close[i]-High[i]-Low[i])/(High[i]-Low[i]))*Volume[i];
      AD[i]=Indicator+AD[i+1];
   }
   for(i=0;i<limit;i++) ADMA1[i]=iMAOnArray(AD,0,p1,0,MODE_EMA,i);
   for(i=0;i<limit;i++) ADMA2[i]=iMAOnArray(ADMA1,0,p2,0,MODE_EMA,i);
   return(0);
  }
//+------------------------------------------------------------------+
